3par driver not synchronize causing duplicate hostname error

Bug #1172503 reported by terryg2012 on 2013-04-24
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Cinder
High
Jim Branen
Grizzly
High
John Griffith

Bug Description

Running the stress test, I got the following error:

2013-04-24 14:25:47 ERROR [cinder.openstack.common.rpc.amqp] Exception during message handling
Traceback (most recent call last):
  File "/usr/lib/python2.7/dist-packages/cinder/openstack/common/rpc/amqp.py", line 430, in _process
_data
    rval = self.proxy.dispatch(ctxt, version, method, **args)
  File "/usr/lib/python2.7/dist-packages/cinder/openstack/common/rpc/dispatcher.py", line 133, in di
spatch
    return getattr(proxyobj, method)(ctxt, **kwargs)
  File "/usr/lib/python2.7/dist-packages/cinder/volume/manager.py", line 665, in initialize_connecti
on
    return self.driver.initialize_connection(volume_ref, connector)
  File "/usr/lib/python2.7/dist-packages/cinder/volume/drivers/san/hp/hp_3par_fc.py", line 183, in i
nitialize_connection
    host = self._create_host(volume, connector)
  File "/usr/lib/python2.7/dist-packages/cinder/volume/drivers/san/hp/hp_3par_fc.py", line 236, in _
create_host
    persona_id)
  File "/usr/lib/python2.7/dist-packages/cinder/volume/drivers/san/hp/hp_3par_fc.py", line 211, in _
create_3par_fibrechan_host
    raise exception.Duplicate3PARHost(err=err, info=info)
Duplicate3PARHost: 3PAR Host already exists: Host wwn 100038EAA762D021 already used by host cld5b4 (
id = 83). The hostname must be called 'cld5b4'
2013-04-24 14:25:47 ERROR [cinder.openstack.common.rpc.common] Returning exception 3PAR Host alre
ady exists: Host wwn 100038EAA762D021 already used by host cld5b4 (id = 83). The hostname must be c
alled 'cld5b4' to caller
2013-04-24 14:25:47 ERROR [cinder.openstack.common.rpc.common] ['Traceback (most recent call last
):\n', ' File "/usr/lib/python2.7/dist-packages/cinder/openstack/common/rpc/amqp.py", line 430, in
_process_data\n rval = self.proxy.dispatch(ctxt, version, method, **args)\n', ' File "/usr/lib/p
ython2.7/dist-packages/cinder/openstack/common/rpc/dispatcher.py", line 133, in dispatch\n return
 getattr(proxyobj, method)(ctxt, **kwargs)\n', ' File "/usr/lib/python2.7/dist-packages/cinder/volu
me/manager.py", line 665, in initialize_connection\n return self.driver.initialize_connection(vol
ume_ref, connector)\n', ' File "/usr/lib/python2.7/dist-packages/cinder/volume/drivers/san/hp/hp_3p
ar_fc.py", line 183, in initialize_connection\n host = self._create_host(volume, connector)\n', '
  File "/usr/lib/python2.7/dist-packages/cinder/volume/drivers/san/hp/hp_3par_fc.py", line 236, in _
create_host\n persona_id)\n', ' File "/usr/lib/python2.7/dist-packages/cinder/volume/drivers/san
/hp/hp_3par_fc.py", line 211, in _create_3par_fibrechan_host\n raise exception.Duplicate3PARHost(
err=err, info=info)\n', "Duplicate3PARHost: 3PAR Host already exists: Host wwn 100038EAA762D021 alre
ady used by host cld5b4 (id = 83). The hostname must be called 'cld5b4'\n"]

Changed in cinder:
assignee: nobody → Jim Branen (james-branen)
status: New → Confirmed
tags: added: drivers

I am out of the office until 05/12/2013.

For technical issues regarding the Storwize/SVC Cinder driver, please
contact: Jie Ping Wu <email address hidden>, Li Min Liu <email address hidden>,
Ronen Kat <email address hidden>
For all other issue, please contact my manager, Dalit Naor
<email address hidden>

Note: This is an automated response to your message "[Bug 1172503] [NEW]
3par driver not synchronize causing duplicate hostname error" sent on
25/04/2013 1:43:51.

This is the only notification you will receive while this person is away.

Changed in cinder:
status: Confirmed → In Progress

Reviewed: https://review.openstack.org/27458
Committed: http://github.com/openstack/cinder/commit/beacbd368124a656eaa4038fe1c35f1796e5dda4
Submitter: Jenkins
Branch: master

commit beacbd368124a656eaa4038fe1c35f1796e5dda4
Author: Jim Branen <email address hidden>
Date: Wed Apr 24 17:52:41 2013 -0700

    Fixes 3PAR FC driver synchronization

    While running stress tests we found missing synchronized methods.
    This patch added synchronized anotations around the necessary
    methods.

    Fixes bug 1172503

    Change-Id: I8e475fe38d96ca663fbaac40c5a50420d791f5d5

Changed in cinder:
status: In Progress → Fix Committed
tags: added: grizzly-backport-potential
Alan Pevec (apevec) on 2013-05-06
Changed in cinder:
importance: Undecided → High

Reviewed: https://review.openstack.org/28212
Committed: http://github.com/openstack/cinder/commit/817eac8191bedaa4db8af3e90f5812566e51b1d2
Submitter: Jenkins
Branch: stable/grizzly

commit 817eac8191bedaa4db8af3e90f5812566e51b1d2
Author: Jim Branen <email address hidden>
Date: Wed Apr 24 17:52:41 2013 -0700

    Fixes 3PAR FC driver synchronization

    While running stress tests we found missing synchronized methods.
    This patch added synchronized anotations around the necessary
    methods.

    Fixes bug 1172503

    Change-Id: I8e475fe38d96ca663fbaac40c5a50420d791f5d5
    (cherry picked from commit beacbd368124a656eaa4038fe1c35f1796e5dda4)

tags: removed: grizzly-backport-potential
Thierry Carrez (ttx) on 2013-05-29
Changed in cinder:
milestone: none → havana-1
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2013-10-17
Changed in cinder:
milestone: havana-1 → 2013.2
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers